#ifndef TMCONFIGURESUPPRESSERRORS_H
#define TMCONFIGURESUPPRESSERRORS_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGButton.h>

class TMConfigureSuppressErrors : public TGTransientFrame {
    
  RQ_OBJECT("TMConfigureSuppressErrors")

  public:
    
  TMConfigureSuppressErrors(const TGWindow* p, const TGWindow *main);
  virtual ~TMConfigureSuppressErrors();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
		
  private:

  const TGWindow        *fSPD;
  TGGroupFrame          *fTop;
  TGCompositeFrame      *fFrameButtons[2];
  TGCompositeFrame	**fFrameCheck;
  TGCheckButton         **fCheck;
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGTextButton          *fTextB[3];
  TGTextButton          *fTextBall[2];
  Bool_t                fLetUserCloseWindow;

  enum EEvents {
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_HELP,
    BUTTON_SETALL,
    BUTTON_CLEARALL,
    CHECK_0
  };

  ClassDef(TMConfigureSuppressErrors, 1);
};

#endif
